Jump to content

Archived

This topic is now archived and is closed to further replies.

glennyboy

Fatal Error on DMS Update to 2.0

Recommended Posts

glennyboy
 

Hi

 

Unfortunately I'm getting the following error on update of DMS to 2.0 via FTP method:-

 

Fatal error: Class 'PagelinesLess' not found in /home/developm/public_html/wp-content/plugins/page-less/inc/class.legacy.php on line 238

 

Your input is appreciated.

 

Thanks

 

Glennyboy

Share this post


Link to post
Share on other sites
greenfly

What method did you use when updating? 


The answer to many issues can be found by searching in the forum before posting as someone else  may very well have had the same problem before you have.  Also, reading the documentation can help you gain a good understanding of how everything works. 

 

Please do not send me private messages. Occam's razor - The principle states "Keep things simple!"

Share this post


Link to post
Share on other sites
greenfly

Ignore that - i saw you said FTP 


The answer to many issues can be found by searching in the forum before posting as someone else  may very well have had the same problem before you have.  Also, reading the documentation can help you gain a good understanding of how everything works. 

 

Please do not send me private messages. Occam's razor - The principle states "Keep things simple!"

Share this post


Link to post
Share on other sites
greenfly

Is your DMS installed inside of a folder called 'dms'?


The answer to many issues can be found by searching in the forum before posting as someone else  may very well have had the same problem before you have.  Also, reading the documentation can help you gain a good understanding of how everything works. 

 

Please do not send me private messages. Occam's razor - The principle states "Keep things simple!"

Share this post


Link to post
Share on other sites
glennyboy
 

yes and note I am on Wordpress Multisite install... am going to try update plugin to see if I get the same error

Share this post


Link to post
Share on other sites
Simon

Disable page-less 1st. Looks like it might not be compatible yet.

Share this post


Link to post
Share on other sites
glennyboy
 

Yes that was incompatible. Either sway each and every one of my DMS child themes is broken.

Share this post


Link to post
Share on other sites
Simon

Do they all depend on that one plugin?

Share this post


Link to post
Share on other sites
Simon

You said all of your child themes are broken, how?

Share this post


Link to post
Share on other sites
glennyboy
 

The editor is completely broken - classes / css etc don't seem to be loading

Share this post


Link to post
Share on other sites
Simon

Do you have a PHP error in the page?

Share this post


Link to post
Share on other sites
glennyboy
 

Nope its just white background with DMS 2 logo at top and then clear text

Share this post


Link to post
Share on other sites
Simon

In the source of the page are there any PHP errors?

Are there any js errors in chrome console?

Whats your URL?

 

If you want me to have a look just PM some credentials, we could be here all night otherwise ;)

Share this post


Link to post
Share on other sites
glennyboy
 

Hi Simon

 

Looks like I have found the root of my particular problem. I found that I had literally missed just 2 variables that were being called later in my less / css. The previous DMS just skimmed over these but on the new version it completely broke the less code throwing everything out. Took me ages to find the missing ones in one theme now I've got to com through every other,

 

Cheers for the speedy reply which was massively appreciated.

 

Thanks

Glennyboy

Share this post


Link to post
Share on other sites

  • Similar Content

    • atlast
      By atlast+
      I would like to do something similar to what this designer has done with DMS 2.0. Having issues figuring out how to build it. 
      Any ideas on how to create the scroll effect of the wallets picture and the hills picture in this site where the picture is a background of sorts and the foreground elements scroll by... 
      http://loopleather.co/
       
    • AEP
      By AEP
      Unfortunately if one selects DMS 2.0 theme "customize" button WP>Appearance>Themes>Active>DMS 2...and it is already installed, active and customized....it resets the site and removes most customization...not good if you didn't want it do reset.  It should instead take you to the DMS 2.0 menu as if the designer is ready to continue to customize without removing prior customization.  It should also give a "warning" if you select this button "customize" all prior customization will be removed...are you sure you want to proceed.  This might help new users of DMS 2.0.  Thanks for listening!
       
      Arnold
    • AEP
      By AEP
      Remember to include as much information about your technical issue as possible for example:
      Website URL: www.golfdynamics287.com
      Framework Version: DMS 2.0
      WordPress Version: 4.0
      Details:
       
      WP's menu Appearance>themes installed... shows two Pagelines themes: one active (DMS 2) and one inactive (Pagelines 2.4.4).  Can I delete the inactive Pagelines Framework 2.4.4 since it isn't active without disrupting DMS 2.0?  Or are both needed?  The site's menu system is acting weird...sub pages will not stay under parent page after saving menu...and I want to delete all unused themes and plugins.
       
      Thanks for your help!
       
      Arnold
       
    • AEP
      By AEP
      I have tried to fix this problem with full width white bars showing up on this website but have not been successful.  In DMS it does not show these bars however when you use a browser to view the page the bars show up. Please help me eliminate these white bars.  
       
      website: http://featherstonstudio.com/
       
      http://screencast.com/t/IzMKDhxFXWPe
       
      When I used Chrome Inspect it shows this HTML:  
       
      <div id="dynamic-content" class="outline template-region-wrap pl-area-container"> <!-- Canvas Area | Section Template --> <section id="pl_areauv67p30" data-object="PLSectionArea" data-sid="pl_area" data-clone="uv67p30" class="pl-area pl-area-sortable area-tag pl-black   pl-bg-cover section-pl_area" style="  "><div class="pl-area-pad fix"> <div class="pl-area-wrap " style="padding-top: 20px; padding-bottom: 20px;">   <div class="pl-content nested-section-area"> <div class="pl-inner area-region pl-sortable-area editor-row" style=""> <div class="row grid-row">   <!-- MediaBox | Section Template --> <section id="mediaboxut4fixf" data-object="PageLinesMediaBox" data-sid="mediabox" data-clone="ut4fixf" class="pl-section span12 offset0    pl-bg-cover section-mediabox" style="  "><div class="pl-section-pad fix"><div class="mediabox-wrap pl-centerer pla-fade pl-animation fix animation-loaded" style="min-height: 30px"> <div class="the-media fitvids pl-centered center hentry" style="margin-top: 0px;"> <img src="http://featherstonstudio.com/wp-content/uploads/Austin-at-night-with-buildings-1200-800-lower.jpg" data-sync="mediabox_image" alt="" title="">  <div class="the-media-html"></div> </div> </div></div></section></div> </div> </div> </div> </div></section> </div>  
    • trizerticus
      By trizerticus
      Might I request a new "Forum Topic" for DMS 2.0 not for the intent of isolating DMS 1.1.x, but rather so that Technical Support questions that are posted will be easier for the specific version to be able to differentiate. That way if I have DMS 1.1.x question I will not confuse the DMS 2.0 user, and if I have a DMS 2.0 question I will not confuse the DMS 1.1.x user, because there are enough differences between the two version to warrant concern. 
×